"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "linotpd/src/debian/postinst" between
LinOTP-release-2.11.2.tar.gz and LinOTP-release-2.12.tar.gz

About: LinOTP is a flexible and versatile OTP-platform for strong user authentication (two-factor authentication with one time passwords).

postinst  (LinOTP-release-2.11.2):postinst  (LinOTP-release-2.12)
skipping to change at line 422 skipping to change at line 422
echo "$GRANT_STRING2" >> /etc/linotp2/linotpcreatedb.sql echo "$GRANT_STRING2" >> /etc/linotp2/linotpcreatedb.sql
touch /etc/rc.local touch /etc/rc.local
cp /etc/rc.local /etc/rc.local.linotp-dpkg cp /etc/rc.local /etc/rc.local.linotp-dpkg
echo "#!/bin/sh -e" > /etc/rc.local echo "#!/bin/sh -e" > /etc/rc.local
# In Debian Jessie, a MySQL systemd service file does not exist. # In Debian Jessie, a MySQL systemd service file does not exist.
# Therefore, we cannot ensure that the rc.local script is # Therefore, we cannot ensure that the rc.local script is
# executed after MySQL is successfully started. That's wh y we # executed after MySQL is successfully started. That's wh y we
# poll for MySQL. # poll for MySQL.
DEBIAN_VERSION=`cat /etc/debian_version` DEBIAN_VERSION=`cat /etc/debian_version`
set -x
if dpkg --compare-versions "${DEBIAN_VERSION}" ge 8.0 && dpkg --compare-versions "${DEBIAN_VERSION}" lt 9.0; then if dpkg --compare-versions "${DEBIAN_VERSION}" ge 8.0 && dpkg --compare-versions "${DEBIAN_VERSION}" lt 9.0; then
echo "while ! mysqladmin ping --host=$DBHOST --user=r oot --password=${ROOTPW}; do" >> /etc/rc.local echo "while ! mysqladmin ping --host=$DBHOST --user=r oot --password=${ROOTPW}; do" >> /etc/rc.local
echo "echo \"MySQL is not running, yet. Waiting...\"" >> /etc/rc.local echo "echo \"MySQL is not running, yet. Waiting...\"" >> /etc/rc.local
echo "sleep 1" >> /etc/rc.local echo "sleep 1" >> /etc/rc.local
echo "done" >> /etc/rc.local echo "done" >> /etc/rc.local
elif ! dpkg --compare-versions "${DEBIAN_VERSION}" lt 9.0 ; then elif ! dpkg --compare-versions "${DEBIAN_VERSION}" lt 9.0 ; then
# This should really be covered by the SVA3 case abov e. # This should really be covered by the SVA3 case abov e.
echo_error "TODO: Check MySQL and systemd on debian 9 appliance install!" echo_error "TODO: Check MySQL and systemd on debian 9 appliance install!"
fi fi
 End of changes. 1 change blocks. 
1 lines changed or deleted 0 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)